
#include "ThingSpeak.h"
#include "DHT.h"
#include "WiFi.h"
#include "AdafruitIO_WiFi.h"

//DEFINICIONES DE PINES
#define pinDHT 4 //Pin de datos del sensor de temperatura y humedad DHT11
#define PINRELE 21 //Pin al que va conectado el RELÉ
#define LEDROJO 14 //Pin al que va conectado el LED 
#define BOTON 35 //Pin al que va conectado el BOTON

//Se declaran las variables necesarias para la conexión WiFi
const char* WIFI_SSID="Vodafone-C02520137";
const char* WIFI_PASS= "9dkY3s66g2ch3kk6"; 

// Se declaran las variables necesarias para enviar los datos del DHT11 al servidor Web de ThingSpeak
unsigned long channelID=1464646;
const char* WriteAPIKey="B241W4V1ZE71BPJ1";


//Configuracion ADAFRUIT IO

#define IO_USERNAME "Madariaga"
#define IO_KEY "aio_DRvn70NSAbG5OMZfPCA2g89aJX0V"

//Se conecta el microcontrolador al feed del servidor Adafruit.IO deseado indicando los parametros antes definidos además de las credenciales de la red WiFi a utilizar 
AdafruitIO_WiFi io(IO_USERNAME, IO_KEY, WIFI_SSID, WIFI_PASS);
